Package org.eclipse.net4j.signal

# Class SignalCounter

java.lang.Object
org.eclipse.net4j.signal.SignalCounter

All Implemented Interfaces:
  `EventListener`, `org.eclipse.net4j.util.event.IListener`

public final class SignalCounter extends Object implements org.eclipse.net4j.util.event.IListener
Provides `signal` execution counts when `attached` to a `signal protocol`.

Since:
  3.0
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.IListener

`org.eclipse.net4j.util.event.IListener.NotifierAware`

## Constructor Summary

Constructors
Constructor
Description
`SignalCounter()`
`SignalCounter(ISignalProtocol<?> protocol)`

## Method Summary

Modifier and Type
Method
Description
`void`
`clearCounts()`
`void`
`dispose()`
`void`
`dump(PrintStream out, boolean clearCountsWhenDone)`
`int`
`getCountFor(Class<? extends Signal> signal)`
`int`
`getCountForSignalTypes()`
Get the number of different signal counted.
`org.eclipse.net4j.util.collection.HashBag<Class<? extends Signal>>`
`getSignals()`
`void`
`notifyEvent(org.eclipse.net4j.util.event.IEvent event)`
`int`
`removeCountFor(Class<? extends Signal> signal)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SignalCounter

public SignalCounter()

### SignalCounter

public SignalCounter(ISignalProtocol<?> protocol)

Since:
  4.1

## Method Details

### getSignals

public org.eclipse.net4j.util.collection.HashBag<Class<? extends Signal>> getSignals()

Since:
  4.21

### getCountForSignalTypes

public int getCountForSignalTypes()
Get the number of different signal counted.

Since:
  4.4

### getCountFor

public int getCountFor(Class<? extends Signal> signal)

### removeCountFor

public int removeCountFor(Class<? extends Signal> signal)

Since:
  4.6

### clearCounts

public void clearCounts()

### dump

public void dump(PrintStream out, boolean clearCountsWhenDone)

Since:
  4.8

### notifyEvent

public void notifyEvent(org.eclipse.net4j.util.event.IEvent event)

Specified by:
  `notifyEvent` in interface `org.eclipse.net4j.util.event.IListener`

### dispose

public void dispose()

Since:
  4.6